Xeonr Developer Docs

Decline Team Invitation

POST
/xeonr.auth.api.v1.TeamsService/DeclineTeamInvitation

Declines an invitation addressed to the calling subject, by token or by invitation id. Same identity proof as accepting.

Required scopes: auth:teams:manage or auth:teams:manage:app

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

token?string
Lengthlength <= 128
invitationId?string
Lengthlength <= 64
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.api.v1.TeamsService/DeclineTeamInvitation" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}